import "@babel/runtime/helpers/esm/extends";
import "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import * as React from "react";
import PropTypes from "../../../../prop-types/index.js";
import "react/jsx-runtime";
const RtlContext = /* @__PURE__ */ React.createContext();
process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  value: PropTypes.bool
} : void 0;
const useRtl = () => {
  const value = React.useContext(RtlContext);
  return value != null ? value : false;
};
export {
  useRtl
};
